
Foreman - Bug #24022

Encoding::UndefinedConversionError at failed hosts call

06/20/2018 06:54 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Host creation   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5761

  

Description

When I issue

wget q -O --body-file=LICENSE --method POST --header="Content-Type: text/plain" 

http://localhost:3000/unattended/failed?token=689ba68a-a511-44b1-bca5-c8f3f1ff353e

I get this error:

Encoding::UndefinedConversionError ("\xE2" from ASCII-8BIT to UTF-8)

Maybe we need something like this:

.encode('utf-8', invalid: :replace, undef: :replace, replace: '_')

Or make sure we get the correct encoding in the first place.

Related issues:

Related to Foreman - Feature #21007: Templates API to mark a build as failed Closed

Associated revisions

Revision 7e6c2dc8 - 07/02/2018 03:50 PM - Lukas Zapletal

Fixes #24022 - unattended error input is UTF-8 friendly (#5761)

History

#1 - 06/20/2018 06:55 PM - Timo Goebel

- Related to Feature #21007: Templates API to mark a build as failed added

#2 - 07/02/2018 11:04 AM - Lukas Zapletal

- Status changed from New to Need more information

- Triaged set to No

Unable to repro with Foreman LICENSE file and sqlite3. Is this on postgresql?

#3 - 07/02/2018 11:34 AM - Lukas Zapletal

- Status changed from Need more information to New

Oh reproduced!

#4 - 07/02/2018 11:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal
http://localhost:3000/unattended/failed?token=689ba68a-a511-44b1-bca5-c8f3f1ff353e


- Pull request https://github.com/theforeman/foreman/pull/5761 added

#5 - 07/02/2018 03:51 PM - Daniel Lobato Garcia

- translation missing: en.field_release set to 353

#6 - 07/02/2018 03:55 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed
